Process player rebuy
curl --request POST \
--url https://ts.playservices.tech/api/api/tournaments/{tournamentId}/players/{playerId}/rebuy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additional_entries": 1
}
'import requests
url = "https://ts.playservices.tech/api/api/tournaments/{tournamentId}/players/{playerId}/rebuy"
payload = { "additional_entries": 1 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({additional_entries: 1})
};
fetch('https://ts.playservices.tech/api/api/tournaments/{tournamentId}/players/{playerId}/rebuy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rebuy_approved": true,
"new_entry_count": 123,
"total_paid": 123,
"additional_entries": 123,
"entry_statistics": {
"total_players": 123,
"total_entries": 123,
"average_entries_per_player": 123
},
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Casino Integration Endpoints
Process Player Rebuy
Process additional tournament entry for a player
POST
/
api
/
tournaments
/
{tournamentId}
/
players
/
{playerId}
/
rebuy
Process player rebuy
Process an additional tournament entry (rebuy) for a player. The player must not have exceeded their maximum allowed rebuys and must have sufficient balance for the rebuy fee.
Authorizations
Operator API key with role-based permissions (tournaments.read, players.write, etc.)
Path Parameters
Unique tournament identifier
Example:
"12345"
Player identifier (can be internal player ID or database player ID)
Example:
"123"
Body
application/json
Required range:
x >= 1Example:
1
⌘I

